Bug 1272537 - mcelog package should be built with PIE (and other hardening) flags
Summary: mcelog package should be built with PIE (and other hardening) flags
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mcelog
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Prarit Bhargava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: harden-failure
TreeView+ depends on / blocked
 
Reported: 2015-10-16 16:42 UTC by Dhiru Kholia
Modified: 2017-02-20 13:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1406518 (view as bug list)
Environment:
Last Closed: 2016-12-20 15:01:14 UTC
Type: Bug


Attachments (Terms of Use)
patch to harden mcelog (471 bytes, patch)
2015-10-16 16:42 UTC, Dhiru Kholia
no flags Details | Diff

Description Dhiru Kholia 2015-10-16 16:42:33 UTC
Created attachment 1083762 [details]
patch to harden mcelog

https://fedoraproject.org/wiki/Changes/Harden_All_Packages requires packages to
be hardened (and also support hardening efforts). Currently, mcelog does not
take advantage of all the hardening features we have in Fedora, and the
attached patch tries to fix this.

Before the hardening patch is applied,

$ ./scanner.py ~/analysis/mcelog/upstream/ # contains RPMs from Rawhide
mcelog,mcelog-101-2.9bfaad8f92c5.fc23.x86_64.rpm,/usr/sbin/mcelog,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Partial$strncpy$memset$getcwd$read$fgets$memcpy$memmove$pread$asprintf,CATEGORY=network-local,TEMPPATHS=None,DEPS=libc.so.6


After the hardening patch is applied,

$ ./scanner.py ~/analysis/mcelog/mine/
mcelog,mcelog-101-2.9bfaad8f92c5.fc24.x86_64.rpm,/usr/sbin/mcelog,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Enabled,PIE=Enabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Partial$strncpy$memset$getcwd$read$fgets$memcpy$memmove$pread$asprintf,CATEGORY=network-local,TEMPPATHS=None,DEPS=libc.so.6

You can use https://fedoraproject.org/wiki/Changes/Harden_All_Packages#How_To_Test to verify if the patch is working for your builds too.

Comment 1 Fedora End Of Life 2016-11-24 12:48:44 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 15:01:14 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.